org.fourthline.cling.support.connectionmanager

## Class ConnectionManagerService

- java.lang.Object
- - org.fourthline.cling.support.connectionmanager.ConnectionManagerService

- Direct Known Subclasses:
    AbstractPeeringConnectionManagerService

      public class ConnectionManagerService
      extends Object

  Base for connection management, implements the connection ID "0" behavior.
  Author:
    Christian Bauer, Alessio Gaeta

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<Integer,ConnectionInfo>` | `activeConnections`
    `protected PropertyChangeSupport` | `propertyChangeSupport`
    `protected ProtocolInfos` | `sinkProtocolInfo`
    `protected ProtocolInfos` | `sourceProtocolInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionManagerService()` Creates a default "active" connection with identifier "0".
    `ConnectionManagerService(ConnectionInfo... activeConnections)`
    `ConnectionManagerService(PropertyChangeSupport propertyChangeSupport, ProtocolInfos sourceProtocolInfo, ProtocolInfos sinkProtocolInfo, ConnectionInfo... activeConnections)`
    `ConnectionManagerService(ProtocolInfos sourceProtocolInfo, ProtocolInfos sinkProtocolInfo)` Creates a default "active" connection with identifier "0".
    `ConnectionManagerService(ProtocolInfos sourceProtocolInfo, ProtocolInfos sinkProtocolInfo, ConnectionInfo... activeConnections)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CSV<UnsignedIntegerFourBytes>` | `getCurrentConnectionIDs()`
    `ConnectionInfo` | `getCurrentConnectionInfo(int connectionId)`
    `PropertyChangeSupport` | `getPropertyChangeSupport()`
    `void` | `getProtocolInfo()`
    `ProtocolInfos` | `getSinkProtocolInfo()`
    `ProtocolInfos` | `getSourceProtocolInfo()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### propertyChangeSupport

          protected final PropertyChangeSupport propertyChangeSupport

    - #### activeConnections

          protected final Map<Integer,ConnectionInfo> activeConnections

    - #### sourceProtocolInfo

          protected final ProtocolInfos sourceProtocolInfo

    - #### sinkProtocolInfo

          protected final ProtocolInfos sinkProtocolInfo

  - ### Constructor Detail

    - #### ConnectionManagerService

          public ConnectionManagerService()

      Creates a default "active" connection with identifier "0".

    - #### ConnectionManagerService

          public ConnectionManagerService(ProtocolInfos sourceProtocolInfo,
                                          ProtocolInfos sinkProtocolInfo)

      Creates a default "active" connection with identifier "0".

    - #### ConnectionManagerService

          public ConnectionManagerService(ConnectionInfo... activeConnections)

    - #### ConnectionManagerService

          public ConnectionManagerService(ProtocolInfos sourceProtocolInfo,
                                          ProtocolInfos sinkProtocolInfo,
                                          ConnectionInfo... activeConnections)

    - #### ConnectionManagerService

          public ConnectionManagerService(PropertyChangeSupport propertyChangeSupport,
                                          ProtocolInfos sourceProtocolInfo,
                                          ProtocolInfos sinkProtocolInfo,
                                          ConnectionInfo... activeConnections)

  - ### Method Detail

    - #### getPropertyChangeSupport

          public PropertyChangeSupport getPropertyChangeSupport()

    - #### getCurrentConnectionInfo

          public ConnectionInfo getCurrentConnectionInfo(int connectionId)
                                                  throws ActionException

      Throws:
        `ActionException`

    - #### getCurrentConnectionIDs

          public CSV<UnsignedIntegerFourBytes> getCurrentConnectionIDs()

    - #### getProtocolInfo

          public void getProtocolInfo()
                               throws ActionException

      Throws:
        `ActionException`

    - #### getSourceProtocolInfo

          public ProtocolInfos getSourceProtocolInfo()

    - #### getSinkProtocolInfo

          public ProtocolInfos getSinkProtocolInfo()

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.